Name:           trilead-putty-extension
Version:        1.2
Release:        %mkrel 7
Summary:        Extension to trilead-ssh2 for handling PuTTY keys
Group:          Development/Java

License:        MIT
URL:            https://github.com/kohsuke/trilead-putty-extension
Source0:        https://github.com/kohsuke/%{name}/archive/%{name}-%{version}.tar.gz
# License text copied from header of one of the .java files
# Upstream doesn't care much about license texts in repository
# same upstream, different project: https://github.com/jenkinsci/remoting/pull/14
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.kohsuke:pom:pom:)
BuildRequires:  mvn(org.tmatesoft.svnkit:trilead-ssh2)

BuildArch:      noarch

%description
This is a small library that allows you to programatically convert
the PuTTY key file (.ppk) to the OpenSSH format.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains API javadoc documentation for %{name}.


%prep
%setup -q -n %{name}-%{name}-%{version}

cp %{SOURCE1} LICENSE

# Fix trilead-ssh2 groupId
%pom_change_dep :trilead-ssh2 org.tmatesoft.svnkit:

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE




%changelog
* Sat Feb 27 2016 daviddavid <daviddavid> 1.2-7.mga6
+ Revision: 979819
- First rebuild of the java stack
- sync package trilead-putty-extension with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2-6.mga5
+ Revision: 750502
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon May 19 2014 dmorgan <dmorgan> 1.2-4.mga5
+ Revision: 623764
- Rebuild against fixed stack

* Sun May 11 2014 dmorgan <dmorgan> 1.2-3.mga5
+ Revision: 622057
- imported package trilead-putty-extension


* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.2-3
- Use Requires: java-headless rebuild (#1067528)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 28 2013 Michal Srb <msrb@redhat.com> - 1.2-1
- Initial package

